using System;

internal sealed class Delegate815 : MulticastDelegate
{
	public extern Type Invoke(Type type_0);

	public static Type smethod_0(Type type_0, Delegate815 delegate815_1)
	{
		return delegate815_1(type_0);
	}

	public extern Delegate815(object object_0, IntPtr intptr_0);

	static Delegate815()
	{
		Class10.smethod_13(typeof(Delegate815).TypeHandle);
	}

	internal static Delegate815 delegate815_0;
}
